slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetDSType

Sets the type of the internal DS object based on the current settings of the singular value solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetDSType(SVD svd)

Collective

### Input Parameter

| svd | - singular value solver context

### Note

This function need not be called explicitly, since it will be called at both SVDSetFromOptions() and SVDSetUp().

### See Also

SVDSetFromOptions(), SVDSetUp()

### Level

developer

### Location

src/svd/interface/svdsetup.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages